# Change a person's role

`PATCH /workspace/people/{id}` · Rivier · workspace

Change a person's role.

- Scope: workspace:admin
- Graphql: Mutation.workspacePeopleSetRole
- Sdk: workspace.people.setRole
- Cli: workspace people set role

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "role": {
      "type": "string",
      "enum": [
        "owner",
        "manager",
        "approver",
        "editor",
        "agent",
        "viewer",
        "accountant"
      ]
    }
  },
  "required": [
    "role"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/workspace/people/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "role": "owner"
}'
```
